summaryrefslogtreecommitdiffstats
path: root/os-plugins/plugins/xserver/XX_xserver.sh
diff options
context:
space:
mode:
authorBastian Wissler2009-06-05 17:16:58 +0200
committerBastian Wissler2009-06-05 17:16:58 +0200
commit9fcc6960f5ec71625b2cea16b2ec90ec74bf5bb1 (patch)
tree9bec81d4303c0c07401926b2cdba642ebeb5236c /os-plugins/plugins/xserver/XX_xserver.sh
parentquick fix distroutils (diff)
downloadcore-9fcc6960f5ec71625b2cea16b2ec90ec74bf5bb1.tar.gz
core-9fcc6960f5ec71625b2cea16b2ec90ec74bf5bb1.tar.xz
core-9fcc6960f5ec71625b2cea16b2ec90ec74bf5bb1.zip
Bugfix for Bug 453 in xserver plugin
git-svn-id: http://svn.openslx.org/svn/openslx/openslx/trunk@2935 95ad53e4-c205-0410-b2fa-d234c58c8868
Diffstat (limited to 'os-plugins/plugins/xserver/XX_xserver.sh')
-rw-r--r--os-plugins/plugins/xserver/XX_xserver.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/os-plugins/plugins/xserver/XX_xserver.sh b/os-plugins/plugins/xserver/XX_xserver.sh
index 00503277..fbdb832f 100644
--- a/os-plugins/plugins/xserver/XX_xserver.sh
+++ b/os-plugins/plugins/xserver/XX_xserver.sh
@@ -89,6 +89,12 @@ ${PLUGIN_ROOTFS}/usr/X11R6/lib/modules/\,"
# impossible to load it directly via stage3 insmod - yes, somehow this is too big
chroot /mnt /sbin/insmod ${PLUGIN_ROOTFS}/modules/fglrx.ko
+ # workaround for bug #453 (for some ati graphics cards)
+ if [ $? -gt 0 -a "${slxconf_distro_name}" = "ubuntu" ]; then
+ xmodule="radeon"
+ MODULE_PATH="/usr/lib/xorg/modules/,/usr/X11R6/lib/xorg/modules/"
+ else
+
# we need some database for driver initialization
cp -r "${PLUGIN_PATH}/etc/ati" /mnt/etc
@@ -107,6 +113,7 @@ ${PLUGIN_ROOTFS}/usr/X11R6/lib/modules/\,"
echo -e "\t${PLUGIN_ROOTFS}/usr/bin/aticonfig --initial &>/dev/null"\
>> /mnt/etc/init.d/boot.slx
ATI=1
+ fi # if kernel module not loaded properly
fi
elif $(grep -iq -m 1 'Module: nvidia' /etc/hwinfo.gfxcard) && \
[ -n "$xserver_driver" -o "$xserver_prefnongpl" -eq 1 ]
@@ -128,7 +135,8 @@ ${PLUGIN_ROOTFS}/usr/X11R6/lib/modules/\,"
chroot /mnt /sbin/insmod ${PLUGIN_ROOTFS}/modules/nvidia.ko
- if [ "${slxconf_distro_name}" = "ubuntu" ]; then
+ # workaround for bug #453 (Xorg does not start with ld.so.preload)
+ if [ "${slxconf_distro_name}" = "ubuntu" -a "${xmodule}" != "nvidia" ]; then
echo "${PLUGIN_ROOTFS}/usr/lib/libGL.so.1" >> /mnt/etc/ld.so.preload
fi